import _JSXStyle from "styled-jsx/style";
import React from "react";
import { Button } from "semantic-ui-react";
import { PureComponent } from "react";
import { bool, func, string } from "prop-types";
import { isNil } from "lodash";
export class DatePickerButtons extends PureComponent {
  constructor(...args) {
    super(...args);

    this.handleClear = event => {
      const {
        canClear,
        onClear
      } = this.props;

      if (canClear) {
        onClear(event, this.props);
      }
    };

    this.handleApply = event => {
      const {
        canApply,
        onApply
      } = this.props;

      if (canApply) {
        onApply(event, this.props);
      }
    };
  }

  renderClearButton() {
    const {
      canClear,
      allowClear,
      clearText
    } = this.props;

    if (!allowClear) {
      return null;
    } // Must used a CSS class to hide the button instead of conditional rendering otherwise clicking the button will be considered an outside click.


    return React.createElement(Button, {
      onClick: this.handleClear,
      className: !canClear ? "ghost short disabled" : "ghost short",
      type: "button",
      disabled: !canClear,
      tabIndex: canClear ? "0" : "-1"
    }, clearText);
  }

  renderApplyButton() {
    const {
      canApply,
      applyText
    } = this.props;
    return (// Sadly, the div container is necessary to apply styled-jsx. Fragment doesn't work.
      React.createElement("div", {
        className: "jsx-1634713581" + " " + "container"
      }, React.createElement(Button, {
        onClick: this.handleApply,
        className: !canApply ? "ghost short disabled" : "primary ghost short",
        type: "button",
        disabled: !canApply,
        tabIndex: canApply ? "0" : "-1"
      }, applyText), React.createElement(_JSXStyle, {
        id: "1634713581"
      }, [".container.jsx-1634713581{margin-left:auto;}"]))
    );
  }

  render() {
    const {
      className
    } = this.props;
    const defaultClasses = "flex ph6 pb6";
    const classes = isNil(className) ? defaultClasses : "".concat(defaultClasses, " ").concat(className);
    return React.createElement("div", {
      className: classes
    }, this.renderClearButton(), this.renderApplyButton());
  }

}
DatePickerButtons.displayName = "DatePickerButtons";
DatePickerButtons.propTypes = {
  canClear: bool.isRequired,
  canApply: bool.isRequired,
  onClear: func,
  onApply: func,
  allowClear: bool,
  clearText: string,
  applyText: string,
  className: string
};
DatePickerButtons.defaultProps = {
  clearText: "Clear",
  applyText: "Apply"
};