import React from "react";
import { Button, Ref } from "semantic-ui-react";
import { PureComponent, createRef } from "react";
import { func, string } from "prop-types";
import { mergeClasses, withHandlerProxy } from "@orbit-ui/react-components-shared";
export class MultiSelectClearButton extends PureComponent {
  constructor(...args) {
    super(...args);
    this._buttonRef = createRef();
    this.handleClick = withHandlerProxy(this, "onClick", false);
  }

  getClasses() {
    const {
      className
    } = this.props;
    return mergeClasses("ghost tall", className);
  }

  render() {
    const {
      text
    } = this.props;
    return React.createElement(Ref, {
      innerRef: this._buttonRef
    }, React.createElement(Button, {
      onClick: this.handleClick,
      className: this.getClasses(),
      type: "button"
    }, text));
  }

}
MultiSelectClearButton.displayName = "MultiSelectClearButton";
MultiSelectClearButton.propTypes = {
  /**
   * The button text.
   */
  text: string,

  /**
   * Called on click.
   * @param {SyntheticEvent} event - React's original SyntheticEvent.
   * @param {Object} props - All the props.
   * @returns {void}
   */
  // eslint-disable-next-line react/no-unused-prop-types
  onClick: func,

  /**
   * Additional classes.
   */
  className: string
};
MultiSelectClearButton.defaultProps = {
  text: "Clear all"
};