import _defineProperty from "@babel/runtime/helpers/esm/defineProperty";

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

import React from "react";
import { animated, useSpring } from "react-spring";
import { any, bool } from "prop-types"; // Since the popup is not currently based on hooks, the animation must be in an external component.

export const FadeIn = ({
  active,
  children,
  styles
}) => {
  const AnimatedComponent = animated["div"];
  const transition = useSpring(_objectSpread({
    opacity: active ? 1 : 0,
    display: active ? "block" : "none"
  }, styles));
  return React.createElement(AnimatedComponent, {
    style: transition
  }, children);
};
FadeIn.displayName = "FadeIn";
FadeIn.propTypes = {
  active: bool.isRequired,
  children: any.isRequired
};